[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# YearOf

Extract the year from a given date.

## Declaration

Source position: dateutil.inc line 134

`function YearOf(`
`const AValue: TDateTime`
`):Word;`

## Arguments

`AValue` |  | Date to extract year from.

## Function result

Year part of AValue

## Description

YearOf returns the year part of the AValue date/time indication. It is a number between 1 and 9999.

## See also

MonthOf |  | Extract the month from a given date.
DayOf |  | Extract the day (of month) part from a TDateTime value
WeekOf |  | Extract week (of the year) from a given date.
HourOf |  | Extract the hour part from a TDateTime value.
MinuteOf |  | Extract the minute part from a TDateTime value.
SecondOf |  | Extract the second part from a TDateTime value.
MilliSecondOf |  | Extract the millisecond part from a TDateTime value.

## Example

    Program Example23;

    { This program demonstrates the YearOf function }

    Uses SysUtils,DateUtils;

    Var
      D : TDateTime;

    Begin
      D:=Now;
      Writeln('Year        : ',YearOf(D));
      Writeln('Month       : ',MonthOf(D));
      Writeln('Day         : ',DayOf(D));
      Writeln('Week        : ',WeekOf(D));
      Writeln('Hour        : ',HourOf(D));
      Writeln('Minute      : ',MinuteOf(D));
      Writeln('Second      : ',SecondOf(D));
      Writeln('MilliSecond : ',MilliSecondOf(D));
    End.